<p>This lecture is under progress and will be posted before July 3 in addition to other lectures.</p><p>I&nbsp;am working on several hours or more lecture explaining additional details about the navigation stack with more demonstrations and examples. </p>